
Redmine - Feature #12447

Support for PNG with alpha channel in pdf export

2012-11-26 12:15 - Fabio Bonfante

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: PDF export Estimated time: 0.00 hour

Target version: 2.6.0   

Resolution: Fixed   

Description

The /vendor/plugins/rfpdf/tcpdf.rb, port of FPDF, not work with png with alpha channel. The latest version of www.fpdf.org (1.7.1) is 

now able to do that, and an update to the ported class, will be really appreciated.

Related issues:

Related to Redmine - Feature #14599: Support 16-bit depth PNG images in PDF e... Closed

History

#1 - 2012-11-28 11:47 - Jean-Philippe Lang

- Tracker changed from Defect to Feature

- Subject changed from PNG with alpha channel not supported in pdf export to Support for PNG with alpha channel in pdf export

#2 - 2013-02-28 19:56 - SA Frolov

+1

#3 - 2013-08-06 00:11 - Mischa The Evil

- Has duplicate Feature #14599: Support 16-bit depth PNG images in PDF export added

#4 - 2013-08-06 14:56 - Etienne Massip

Might be of some help: https://code.google.com/p/pyfpdf/source/detail?r=6d269f7474c6.

#5 - 2013-08-07 05:18 - Mischa The Evil

- Has duplicate deleted (Feature #14599: Support 16-bit depth PNG images in PDF export)

#6 - 2013-08-07 13:11 - Etienne Massip

- Related to Feature #14599: Support 16-bit depth PNG images in PDF export added

#7 - 2013-10-24 19:29 - Yukinari TOYOTA

- File support-alpha-png-12447.patch added

I have written a patch for r12228 by porting https://code.google.com/p/pyfpdf/source/detail?r=6d269f7474c6

However, interlacing and 16-bit depth are not supported yet.

#8 - 2013-10-28 12:35 - Yukinari TOYOTA

Here is a backported plugin by monkey patching: https://github.com/t-yuki/redmine_pdf_export_backports

#9 - 2014-02-06 23:45 - Oscar Santos

Has the patch provided by Yukinari been validated with newer versions of Redmine? We are on 2.3.4 stable. Thank you for helping to address this

16-bit PNG issue.

#10 - 2014-02-07 00:24 - Oscar Santos

Applied the patch in my test environment but saw no change. I loaded the Redmine PDF Export Backports plugin which granted the ability to export

as HTML but PDF is still unable to render. Any ideas on how to resolve? Thank you.

#11 - 2014-02-10 19:23 - Oscar Santos
Update

I have loaded the plugin provided by Yukinari https://github.com/t-yuki/redmine_pdf_export_backports and was able to resolve the PDF export issue.

In order to export PDF's, the short syntax of declaring an image must be used. For example:

"!myimage.png!" without quotes

We were using the long syntax of declaring the entire URL string. Adjusting the syntax allowed images to display properly in PDF exports.

Thank you Yukinari for your help with this.

#12 - 2014-10-18 14:23 - Toshi MARUYAMA

- Status changed from New to Closed

- Target version set to 2.6.0

- Resolution set to Fixed

Fixed by #17570.

#13 - 2014-10-24 11:40 - li an

It is great!! I tested under redmine 2.3.2, and tested with alpha channel png, now exported pdf can display that type of png normal. thanks.

Yukinari TOYOTA wrote:

Here is a backported plugin by monkey patching: https://github.com/t-yuki/redmine_pdf_export_backports

Files

support-alpha-png-12447.patch 5.38 KB 2013-10-24 Yukinari TOYOTA
